package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierInvoiceCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierInvoiceDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.SupplierInvoiceUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierInvoiceListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierInvoicePageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.SupplierInvoiceShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.SupplierInvoiceVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface SupplierInvoiceServiceI {
    SupplierInvoiceVO create(SupplierInvoiceCreateCmd supplierInvoiceCreateCmd);

    PageDTO<SupplierInvoiceVO> page(SupplierInvoicePageQry supplierInvoicePageQry);

    List<SupplierInvoiceVO> list(SupplierInvoiceListQry supplierInvoiceListQry);

    SupplierInvoiceVO update(SupplierInvoiceUpdateCmd invoiceIdUpdateCmd);

    SupplierInvoiceVO show(SupplierInvoiceShowQry supplierInvoiceShowQry);

    void destroy(SupplierInvoiceDestroyCmd supplierInvoiceDestroyCmd);
}

